Name:           sdlmame-data
Version:        0.117
Release:        %mkrel 1
Summary:        Data files for the SDLMAME package

Group:          Emulators
License:        Distributable
URL:            http://www.mame.net

# Distributable ROM images
Source0:        http://www.mamedev.org/roms/alienar/alienar.zip
Source1:        http://www.mamedev.org/roms/gridlee/gridlee.zip
Source2:        http://www.mamedev.org/roms/robby/robby.zip
Source3:        sdlmame-roms-exidy.tar

# Additional data files
Source10:       http://cheat.retrogames.com/cheat117.zip
Source11:       http://www.arcade-history.com/dats/mamehistory117.zip
Source12:       http://www.mameworld.net/mameinfo/update/Mameinfo0117.zip

# Samples from http://www.mameworld.net/samples
Source20:       sdlmame-samples.tar

# Artworks: Robby artwork from http://www.arcadeflyers.com/artwork/robby.zip
Source30:       robby-artwork.zip
Source31:       http://www.mameworld.net/mrdo/mame_art/effect_files.zip

# Controller configuration files
Source40:       sdlmame-ctrlr.tgz

# Additional README file for Fedora
Source98:       %{name}-README.Exidy
Source99:       %{name}-README.Fedora

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  p7zip
Requires:       sdlmame >= %{version}

%description
%{summary}.

%package roms
License:        Distributable
Summary:        ROMs used for the SDLMAME package
Group:          Emulators
Requires:       sdlmame >= %{version}

%description roms
Alien Arena © 1985 Duncan Brown.  Gridlee © 1983 Videa.
Robby Roto © 1981 Bally Midway, © 1999 Jay Fenton.
Circus © 1977, Exidy. Teeter Torture © 1982, Exidy.
Robot Bowl © 1977, Exidy. Car Polo © 1977, Exidy
Rip Cord © 1979, Exidy.Fire One © 1979, Exidy.
Crash © 1979, Exidy. Star Fire © 1979, Exidy.
Side Trak © 1979, Exidy.

%package samples
License:        Distributable
Summary:        Samples used for the SDLMAME package
Group:          Emulators
Requires:       sdlmame >= %{version}

%description samples
%{summary}.

%package artwork
License:        Distributable
Summary:        Artwork used for the SDLMAME package
Group:          Emulators
Requires:       sdlmame >= %{version}

%description artwork
%{summary}.


%prep
%setup -qcT

# extract ROM readme files
unzip -qa %{SOURCE0} Aareadme.txt -d .
mv Aareadme.txt README.alienar
unzip -qa %{SOURCE1} readme.txt -d .
mv readme.txt README.gridlee
unzip -qa %{SOURCE2} readme.txt -d .
mv readme.txt README.robby

# extract DAT files
unzip -qa %{SOURCE10} -d .
unzip -qa %{SOURCE11} -d .
7za x %{SOURCE12}
7za x Mameinfo0117.exe
mv docs mameinfo

# fix permissions and line endings
chmod 0644 README.* mameinfo/*.txt
chmod 0755 mameinfo
sed -i 's/\r//' cheat.txt mameinfo/*


%build
# Nothing to build


%install
rm -rf $RPM_BUILD_ROOT

# install ROMs
install -d $RPM_BUILD_ROOT%{_gamesdatadir}/sdlmame/roms
install -pm 644 %{SOURCE0} %{SOURCE1} %{SOURCE2} \
    $RPM_BUILD_ROOT%{_gamesdatadir}/sdlmame/roms
tar --extract --directory $RPM_BUILD_ROOT%{_gamesdatadir}/sdlmame/roms \
    --file %{SOURCE3}

# install DAT files
install -pm 644 cheat.dat history.dat mameinfo.dat \
    $RPM_BUILD_ROOT%{_gamesdatadir}/sdlmame

# install Samples
install -d $RPM_BUILD_ROOT%{_gamesdatadir}/sdlmame/samples
tar --extract --directory $RPM_BUILD_ROOT%{_gamesdatadir}/sdlmame/samples \
    --file %{SOURCE20}

# install controller configs
install -d $RPM_BUILD_ROOT%{_gamesdatadir}/sdlmame/ctrlr
tar --extract --directory $RPM_BUILD_ROOT%{_gamesdatadir}/sdlmame/ctrlr \
    --file %{SOURCE40}

# install Artwork
install -d $RPM_BUILD_ROOT%{_gamesdatadir}/sdlmame/artwork
install -d $RPM_BUILD_ROOT%{_gamesdatadir}/sdlmame/effects
install -pm 644 %{SOURCE30} $RPM_BUILD_ROOT%{_gamesdatadir}/sdlmame/artwork/robby.zip
unzip %{SOURCE31} -d $RPM_BUILD_ROOT%{_gamesdatadir}/sdlmame/effects

# install additional README files
install -pm 644 %{SOURCE98} ./README.Exidy
install -pm 644 %{SOURCE99} ./README.Fedora


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc cheat.txt mameinfo
%{_gamesdatadir}/sdlmame/*.dat
%{_gamesdatadir}/sdlmame/ctrlr/*

%files roms
%defattr(-,root,root,-)
%doc README.alienar README.gridlee README.robby README.Exidy
%{_gamesdatadir}/sdlmame/roms/*

%files samples
%defattr(-,root,root,-)
%{_gamesdatadir}/sdlmame/samples/*

%files artwork
%defattr(-,root,root,-)
%doc README.Fedora
%{_gamesdatadir}/sdlmame/artwork/*
%{_gamesdatadir}/sdlmame/effects/*


%changelog
* Mon Jul 30 2007 Torbjorn Turpeinen <tobbe@djura.org> 0.117-2
- Rebuilt for pclos

* Mon Jul 16 2007 Julian Sikorski <belegdol[at]gmail[dot]com> 0117-1%{?dist}
- Added new Exidy ROMs: Star Fire (2 sets), Star Fire II and Side Trak
- Tarred Exidy ROMs
- Updated cheat.dat to version 0.117
- Updated history.dat to version 0.117
- Updated mameinfo.dat to version 0.117
- Updated Wizard of Wor and Gorf samples, deleted Donkey Kong ones
- Updated -roms subpackage %%description

* Sun Apr 22 2007 XulChris <tkmame@retrogames.com> 0114-1%{?dist}
- Add new Exidy ROM Crash
- Add new Exidy ROM Fire One
- Add new Exidy ROM Rip Cord
- Updated cheat.dat to version 0.114
- Updated history.dat to version 0.114
- Updated mameinfo.dat to version 0.114

* Tue Mar 13 2007 XulChris <tkmame@retrogames.com> 0113-1%{?dist}
- Use samples from Twisty's archive
- Add controller config files
- Add new ROM image Circus from Exidy
- Add README file for Exidy ROM images
- Update artwork effect files
- Place effect files in effects directory
- Update Mameinfo data file
- Add new ROM image Robot Bowl from Exidy
- Add new ROM image Car Polo from Exidy
- Updated arcade history dat

* Sat Feb 10 2007 XulChris <tkmame@retrogames.com> 0112-1%{?dist}
- Update cheat file
- Remove old readme files for ROMs
- Add Teeter Torture and Alien Arena ROMs
- Add history.dat and mameinfo.dat files

* Sun Dec 24 2006 XulChris <tkmame@retrogames.com> 0111-3%{?dist}
- Add robby roto artwork
- Remove unnecessary BuildRequires
- Fix Requires for sub packages

* Sat Dec 23 2006 XulChris <tkmame@retrogames.com> 0111-2%{?dist}
- Remove old artwork file and replace with just scanline effect files
- Add README to artwork %%doc to indicate where to download artwork
- Update cheat file
- Requires sdlmame >= %%{version}

* Tue Nov 28 2006 XulChris <tkmame@retrogames.com> 0111-1%{?dist}
- Initial release for Fedora
